hostapd (1:0.7.3-5) UNRELEASED; urgency=low

  * NOT RELEASED YET
  * bump standards version to 3.9.3, no changes necessary.
  * update dep-5 version to final 1.0:
    - add format qualifier
    - s/Upstream-Maintainer/Upstream-Contact/
    - s/Upstream-Source/Source/
    - use "or" instead of "BSD | GPL-2" for dual-licensed sources
    - order licenses alphabetically.
    - fix lists of copyright holders for the final syntax
    - fix license continuation.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 27 Feb 2012 22:07:19 +0100

hostapd (1:0.7.3-4) unstable; urgency=low

  * add myself to uploaders.
  * add "hostap: Allow linking with libnl-3" from Ben Greear
    <greearb@candelatech.com> to allow building against libnl3 3.2.
  * switch build dependency from libnl-dev (libnl1) to libnl-3-dev && 
    libnl-genl-3-dev accordingly.
  * add libpcap-dev and libbsd-dev to kFreeBSD specific build-depends.
  * disable IAPP on kFreeBSD, to avoid FTBS.
  * restrict hostapd to linux-any and kfreebsd-any, hurd lacks kernel support.
  * raise versioned build-dependency to (>= 3.2.3-2~), we need
    libnl-genl-3-200-udeb and expect it in /lib/.
  * add "For MS-CHAP, convert the password from UTF-8 to UCS-2" from
    Evan Broder <ebroder@mokafive.com>, accepted upstream into hostap-1.git
  * fix long description, driver_madwifi is no longer enabled, while driver_bsd
    got enabled.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 20 Dec 2011 02:51:49 +0100

hostapd (1:0.7.3-3) unstable; urgency=low

  [ Kel Modderman ]
  * Use /run/sendsigs.omit.d/ for sendsigs omission pid file and depend on
    initscripts (>= 2.88dsf-13.3). (Closes: #633026)
  * Migrate existing sendsigs omission pid files from /lib/init/rw to /run.
  * Add a loop to ifupdown.sh to wait for creation of hostapd pid file before
    attempting creation of sensigs omission pid file, in some cases hostapd
    daemon can return before creation of the pid file has been written to disk.
  * Adjust standards version to 3.9.2, no further changes required to
    satisfy that.
  * Only test that DAEMON_CONF is set in init.d script, do not test if what is
    set is readable (which assumes only one configuration file is being used).
    (Closes: #615821)

  [ Stefan Lippers-Hollmann ]
  * use new anonscm URIs for alioth.

 -- Kel Modderman <kel@otaku42.de>  Sun, 11 Dec 2011 20:32:06 +1000

hostapd (1:0.7.3-2) unstable; urgency=low

  * upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 13:20:42 +0100

hostapd (1:0.7.3-1) experimental; urgency=low

  * New upstream release, upstream declares this as the new stable release.
  * debian/control: update Standards-Version to 3.9.1 (no changes
    necessary)
  * debian/copyright: include license text of the BSD license variant,
    add myself to the list of copyright holders for the debian/* files
  * add debian/hostapd.lintian-overrides and install it as
    /usr/share/lintian/overrides/hostapd to fix possible-gpl-code-linked-
    with-openssl Lintian error

 -- Jan Dittberner <jandd@debian.org>  Tue, 07 Sep 2010 20:43:01 +0200

hostapd (1:0.7.2-2) experimental; urgency=low

  * disable madwifi driver
    - remove debian/driver_madwifi
    - disable madwifi driver in debian/config/linux

 -- Jan Dittberner <jandd@debian.org>  Tue, 27 Apr 2010 21:09:08 +0200

hostapd (1:0.7.2-1) experimental; urgency=low

  * New upstream release
  * debian/control: add myself to Uploaders
  * update debian/watch to track version 0.7.x
  * disable debian/patches/DTIM.patch that does not apply to current upstream
    sources

 -- Jan Dittberner <jandd@debian.org>  Mon, 26 Apr 2010 20:21:00 +0200

hostapd (1:0.6.10-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  * Add DTIM.patch, cherry picked from upstream, which works around
    problem setting DTIM period too early causing hostapd to bail out
    unceremoniously. (Closes: #570116)
  * Fix syntax error in ifupdown.sh. (Closes: #571029)

 -- Kel Modderman <kel@otaku42.de>  Wed, 24 Feb 2010 19:36:11 +1000

hostapd (1:0.6.10-1) unstable; urgency=low

  * New upstream release.
    - drop all patches applied upstream
  * Install hostapd_cli to /usr/sbin/ from /usr/bin/, as it requires
    explicit permissions to be usable by non-admin.
  * Support the status command in init.d script. Depend on lsb-base (>=
    3.2-13) for status_of_proc. Patch thanks to Peter Eisentraut.
    (Closes: #535633)
  * Add debian/README.source to describe use of quilt patch system.
  * Increase Standards-Version to 3.8.4 without extra changes.
  * Reduce debian/rules by tweaking the sequence of a few things and
    using the --sourcedirectory option of dh in debhelper (>= 7.3.7~).
    Build-Depend on that debhelper version.
  * No longer install /etc/hostapd/hostapd.conf per default as there are
    no sane defaults. Instead provide the configuration as an example
    only and take care to remove previously installed conffiles which
    remain unedited on upgrade.
  * Clean up init.d script a bit by using existence of hostapd daemon
    configuration file as defined in /etc/default/hostapd as conditional
    for starting instead of magic RUN_DAEMON variable.
  * Update README.Debian to contain information about the example
    hostapd.conf file.
  * Remove Reinhard Tartler from uploaders at his request. Thanks for
    past contribution.
  * Remove uupdate command from debian/watch, unused by maintainer.
  * Adjust debian/watch to scan for the 0.6.X stable releases only.

 -- Kel Modderman <kel@otaku42.de>  Thu, 11 Feb 2010 14:49:44 +1000

hostapd (1:0.6.9-3) unstable; urgency=low

  * Change Maintainer to pkg-wpa-devel team and add Reinhard and myself
    to Uploaders to better reflect the organisation which makes the package
    available.
  * Import upstream patches:
    - hostap_reuse_existing_ctrl_iface_socket.patch allows to reuse ctrl
      interface sockets left over as result of unclean shutdown
    - hostap_reject_conf_without_channel_nl80211.patch adds code to reject
      configurations which use nl80211 driver without setting a channel
      because this will always fail for the time being
  * Build-Depend on quilt >= 0.46-7 for dh integration.
  * Update debian/control long description to mention mac80211 based
    drivers. Thanks to Jan Braunisch for noticing.
  * Also remove reference to the Prism54 driver in package long
    description, we do not support it.

 -- Kel Modderman <kel@otaku42.de>  Sun, 17 May 2009 04:35:12 +1000

hostapd (1:0.6.9-2) unstable; urgency=low

  * Enable CONFIG_IEEE80211W, IEEE 802.11w (management frame
    protection). (Closes: #522328)

 -- Kel Modderman <kel@otaku42.de>  Fri, 03 Apr 2009 07:07:06 +1000

hostapd (1:0.6.9-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream release. (Closes: #521142)
  * Document copyright errata of hostapd/driver_atheros.c in
    debian/copyright.
    - activate nl80211 driver backend (Closes: #429734)
    - deactivate prism54 driver, it is now working. Do not mention it
      in README.Debian (Closes: #475451)
  * Add build dependency of libnl-dev (>= 1.1) for the nl80211 driver
    backend.
  * Remove need for patch system.
    - ship madwifi headers in debian/driver_madwifi
    - use sed to patch hostapd.conf in order to change /etc/hostapd.* to
      /etc/hostapd/*
    - copy in build configuration from debian/config/$(DEB_HOST_ARCH_OS)
      to hostapd/.config rather than using a patch
  * Add support for kfreebsd build by providing debian/config/kfreebsd
    without Linux specific build options.
  * Use dh-centric debian/rules and build-depend on debhelper (>= 7.0.50)
    in order to take advantage of the override_dh_* feature.
  * Bump debian/compat to 7.
  * Adjust Standards-Version to 3.8.0, no further changes needed.
  * Use machine parsable debian/copyright format.
  * Add debian/manpages instead of using explicit dh_installmanpages
    command in debian/rules.
  * Rename debian/lintian-overrides to debian/hostapd.lintian-overrides
    so that dh_lintian automatically picks it up.
  * Bump Standards-Version to 3.8.1, no other changes required.
  * Remove var/run/hostapd and usr/share/lintian/overrides from
    debian/dirs. hostapd is able to create its own directory for unix
    sockets (and that may be anywhere admin decides) and lintian stuff
    is taken care of by debhelper now.
  * Update copyright information in debian/ifupdown.sh

  [ Faidon Liambotis ]
  * Switch Maintainer/Uploaders roles with Kel; he's the de facto maintainer
    nowadays, he may as well listed as such.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 29 Mar 2009 21:37:22 +0300

hostapd (1:0.5.10-1) unstable; urgency=low

  * New upstream release.
  * Document the two methods of managing hostapd in README.Debian. Also add a
    hint to /etc/default/hostapd to consult README.Debian for more
    information. (Closes: #443786)
  * Cleanup of debian/rules, actually honor nostrip by specifying default
    CFLAGS when invoking make. Remove redundant commented out content.
  * Fix incorrect LSB dependency information, hostapd now requires $remote_fs
    virtual facility for start and stop. Thanks to Petter Reinholdtsen.
    (Closes: #466283)

 -- Kel Modderman <kel@otaku42.de>  Tue, 11 Mar 2008 12:36:03 +1000

hostapd (1:0.5.9-1) unstable; urgency=low

  * New upstream release.
  * Bumped to Standards-Version 3.7.3, no changed needed.
  * Switched to Vcs-* instead of XS-Vcs.
  * Added Homepage field.
  * Refer to GPL-2 explicitely, as this is a GPL v2-only software.
  * Remove remnants of patches for dscape/mac80211.
  * Update to madwifi 0.9.3.3 headers; no functional changes.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 12 Dec 2007 03:43:13 +0200

hostapd (1:0.5.8-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream release.
  * Add bash script to prepare madwifi_headers.patch.
  * patches/20_madwifi_headers.dpatch made from madwifi 0.9.3, which is what
    is currently in the archive, and stable upstream release.
    (Closes: #408642)
  * Rename 21_madwifi_includes.dpatch to 21_madwifi_enable.dpatch.
  * Make our new mac80211 header dpatches similar to that of madwifi; keep
    upstream include directory tree intact and modify CFLAGS.
  * Refresh our build config with upstreams current defconfig.
  * CONFIG_STAKEY is deprecated in favour of CONFIG_PEERKEY.

  [ Faidon Liambotis ]
  * Remove upgrade paths from pre-etch versions, we only support incremental
    updates. Fix a lintian error in the process.
  * Don't ignore "make clean" errors, if they exist; fixes a lintian warning.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 24 Jul 2007 17:43:44 +0300

hostapd (1:0.5.7-1) unstable; urgency=low

  * New upstream release.
  * Drop backported code included in this upstream release.
  * Bump debhelper compat level to 5, no other changes required.
  * Include ifupdown integration; it is now possible to start
    hostapd via a /etc/network/interfaces line such as:
    	'hostapd /etc/hostapd/hostapd.conf'
    for any given interface. The daemon will start in pre-up phase of ifup,
    and be killed in post-down phase of ifdown. A pidfile of
    /var/run/hostapd.$IFACE.pid will be created for each interface's daemon.
  * Add XS-Vcs fields to debian/control.
  * Change of Uploader email address in debian/control.
  * Update madwifi includes to r2157 upstream madwifi.org/trunk.
  * Update debian/copyright with new upstream URL, contact information and
    copyright years.
  * Modify debian/watch file for new upstream release URL.
  * Make debian/watch version 3, remove useless comments from file.

 -- Kel Modderman <kel@otaku42.de>  Mon, 09 Apr 2007 18:31:22 +1000

hostapd (1:0.5.5-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency high for RC bugfix.
  * Backport hostapd.c fix from CVS: (Closes: #398466)
    - Allow hostapd_flush_old_stations to fail, otherwise configuration
      of unencrypted modes failed with madwifi. (1.168)
      The correct setup is handled by the backported fixes in the
      previous revision.

 -- Matt Brown <mattb@debian.org>  Sat,  9 Dec 2006 11:03:47 +1300

hostapd (1:0.5.5-3) unstable; urgency=medium

  * Update madwifi headers to r1757.
  * Backport driver_madwifi.c fixes from CVS:
    - Set forgotten im_op for sta_disassoc handlers (1.49)
    - Fixed configuration of unencrypted modes (plaintext and IEEE 802.1X
      without WEP) (1.51)
  * Urgency medium because of a bugfix revision.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 12 Nov 2006 02:37:43 +0200

hostapd (1:0.5.5-2) unstable; urgency=low

  * Versioned dependency on lsb-base (>= 3.0-3) for log_daemon_message used in
    hostapd init script. (Closes: #386156)

 -- Kel Modderman <kelrin@tpg.com.au>  Wed,  6 Sep 2006 14:31:14 +1000

hostapd (1:0.5.5-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream release.
  * Allow hostapd to install, by first checking for existence of
    /etc/hostapd/hostapd.conf before attempting to change permissions.

  [ Faidon Liambotis ]
  * Also fix ownership of hostapd.conf on upgrades.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 29 Aug 2006 15:29:47 +0300

hostapd (1:0.5.4-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream release. (Closes: #378703)
  * Add LSB INIT info header to init script, as per specs. Source lsb-base
    init functions, use them to report daemon status in a standard way.
    (Closes: #376327)
  * Add dpatch (30_hostapd_pidfile) to allow hostapd process to create a pid
    file when daemonized.
  * The init daemon now creates a pid file at /var/run/hostapd.pid.
  * Allow multiple configuration files to be given to hostapd via
    /etc/default/hostapd, enabling the possibility of managing multiple
    interfaces with one process. If the configuration files are not specified
    use /etc/hostapd/hostapd.conf to preserve backwards compatability.
    This also allows the user to use a single configuration file !=
    /etc/hostapd/hostapd.conf. (Closes: #377054)
  * Add 'reload' option to init script. Send HUP signal to hostapd, causing it
    to reload its configuration file.
  * Add some extra DAEMON_OPTIONS hints to the /etc/default/hostapd file.
  * Set hostapd.conf permissions to 0600, it may contain sensitive details.
    (Closes: #380632)
  * Update madwifi headers to r1705. This should ensure maximum compatibility
    with the madwifi-source package currently available. (Closes: #384504)
  * Slightly change the way madwifi is activated, add an extra CFLAG instead of
    hardcoding the paths to the headers in driver_madwifi.c.
  * Add myself to uploaders.

  [ Faidon Liambotis ]
  * Fixes a potential DoS fix in RSN preauthentication (upstream bug #152).
  * Add lintian override for hostapd.conf unusual permissions.
  * Exclude hostapd.conf from dh_fixperms.
  * Fix permissions of hostapd.conf retroactively in upgrades.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 25 Aug 2006 04:28:00 +0300

hostapd (1:0.5.3-1) unstable; urgency=low

  * New upstream release
    - Fix some warnings when compiling with GCC 4.1.
    - Adapt 12_conf_etc_hostapd.dpatch to the new hostapd.conf.
  * Include the test driver, for debugging purposes. (Closes: #372107)
  * Delete unmodified obsolete conffiles when upgrading from a previous
    version (namely, hostapd.{accept,deny}).
    Thanks to Lars Wirzenius and piuparts! (Closes: #353191)
  * Update madwifi-ng headers to version 0.9.0.
  * Remove the suggestion of hostap-modules, hostap is merged to the latest
    2.6 kernels and it's one of the many options anyway.
  * Changed maintainer's e-mail address.
  * Updated Standards-Version to 3.7.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Fri,  9 Jun 2006 03:23:23 +0300

hostapd (1:0.5.0-1) unstable; urgency=low

  * New upstream release
    - Removed patch 01-prism54-hostap_common, merged upstream.
  * Update madwifi headers to madwifi-ng, rev1390.
  * Updated 'Standards-Version' to 3.6.2.2 (no changes).

 -- Faidon Liambotis <faidon@cube.gr>  Thu,  5 Jan 2006 02:13:17 +0200

hostapd (1:0.4.5-2) unstable; urgency=low

  * No changes, previous version appeared as an NMU.

 -- Faidon Liambotis <faidon@cube.gr>  Tue, 11 Oct 2005 19:15:27 +0300

hostapd (1:0.4.5-1) unstable; urgency=low

  * New upstream release
    - added experimental support for EAP-PSK
    - added support for WE-19
  * Update madwifi headers to the latest CVS. (Closes: #326893)
  * README.Debian:
    - Document that in-kernel versions of prism54 won't work. (Closes: #315852)
    - Mention Prism2/2.5/3.0's STA firmware limitations.
  * Updated 'Standards-Version' to 3.6.2.1 (no changes).

 -- Faidon Liambotis <faidon@cube.gr>  Mon, 10 Oct 2005 15:55:13 +0300

hostapd (1:0.4.2-1) unstable; urgency=low

  * New upstream release
    - Manpages incorporated upstream.
    - Removed patches 01_makefile, 02_conf_wpa_to_hostapd, 03_usage_cleanup,
      accepted upstream.
    - Adapted patch 21_madwifi_includes
    - Added support for RADIUS over IPv6
    - Added support for EAP-PAX
  * Removed /etc/hostapd/hostapd.accept & hostapd.deny, now shipping all
    example configuration files to /usr/share/doc/hostapd/examples/

 -- Faidon Liambotis <faidon@cube.gr>  Wed, 15 Jun 2005 18:23:33 +0300

hostapd (1:0.3.7-2) unstable; urgency=medium

  * Better handling of patching upstream using dpatch.
  * Added madwifi support.
    Hack stolen from wpasupplicant, thanks to Kyle McMartin.
  * Changed hostapd_cli path to /usr/bin/ from /usr/sbin/.
  * Report failed start of hostapd when starting from the init.d script.
    (Closes: #303206).
  * Added hostapd(8) and hostapd_cli(1) manpages.
    Now lintian & linda clean ;)
  * Cleaned-up hostapd/hostapd_cli usage information.

 -- Faidon Liambotis <faidon@cube.gr>  Mon, 11 Apr 2005 11:53:58 +0300

hostapd (1:0.3.7-1) unstable; urgency=medium

  * New upstream release
    - Changed license to Dual GPL/BSD.
    - New tool hostapd_cli for command-line administration.
  * Adapt description to reflect new features.
  * Now Suggesting instead of Recommending hostap-modules, hostapd can now
    work with other drivers.

 -- Faidon Liambotis <faidon@cube.gr>  Wed, 23 Feb 2005 10:12:06 +0200

hostapd (1:0.2.6-1) unstable; urgency=low

  * New upstream release.
  * Modified description to match v0.2.x features.
  * Modified debian/rules to use 'dh_install'.
  * Removed source code documentation from /usr/share/doc/. 

 -- Faidon Liambotis <faidon@cube.gr>  Tue, 28 Dec 2004 19:01:26 +0200

hostapd (1:0.2.5-1) unstable; urgency=low

  * Adopted by new maintainer (Closes: #265332).
  * New upstream release (Closes: #255302).
  * Create init.d script disabled by default
    via /etc/default/hostapd (Closes: #208027).
  * Updated 'Standards-Version' to 3.6.1.
  * Other minor bugfixes.

 -- Faidon Liambotis <faidon@cube.gr>  Thu, 18 Nov 2004 18:11:57 +0200

hostapd (1:0.1.3-2) unstable; urgency=low

  * Orphaned 

 -- Francois Gurin <matrix@debian.org>  Thu, 12 Aug 2004 14:18:11 -0400

hostapd (1:0.1.3-1) unstable; urgency=low

  * New upstream release

 -- Francois Gurin <matrix@debian.org>  Sun,  4 Apr 2004 19:05:28 -0400

hostapd (1:0.1.0-4) unstable; urgency=low

  * changed depends to recommends. 

 -- Francois Gurin <matrix@debian.org>  Mon,  8 Dec 2003 15:12:45 -0500

hostapd (1:0.1.0-3) unstable; urgency=low

  * fixed a pebcak issue with upload 

 -- Francois Gurin <matrix@debian.org>  Mon, 27 Oct 2003 01:37:06 -0500

hostapd (1:0.1.0-2) unstable; urgency=low

  * fixed version epoch

 -- Francois Gurin <matrix@debian.org>  Mon, 27 Oct 2003 00:52:01 -0500

hostapd (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Francois Gurin <matrix@debian.org>  Sun, 26 Oct 2003 04:55:36 -0500

